TILEM(1)

NAME
TilEm2 - a GTK+ TI Z80 calculator emulator

SYNOPSYS
tilem2 [--help] [-h] [--rom=] [--skin=] [--model=] [--state-file=] [--without-skin] [--reset] [--get-var=] [--play-macro=] [--debug] [--normal-speed] [--full-speed] [filename]

DESCRIPTION
The TilEm2 program allows you to emulate your Texas Intruments calculator on your computer. It has also additional features such as screenshotting, loading OSes and apps, FLASH writing and erasing, macro scripting, debugger, and virtual linking.

OPTIONS
For running a specific rom, simply pass the ROM's file name to the program. Options must be passed before the filename.

tilem2 accepts the following options:

-h, --help
    Display a list of all command line options.

--reset
    Reset the calculator at startup. You will lose anything that you were working on in that calculator state.

--rom=FILE, -r=FILE
    Load a specific ROM file instead of the ROM saved in your configuration.

--skin=FILE, -k=FILE
    Use a specific skin file instead of the skin saved in your configuration.

--model=FILE, -m=NAME
    Use a specific calculator model instead of the model autodetected by TilEm2.

--without-skin, -l
    Do not use any skins for the calculator display.

--state-file=FILE, -s=FILE
    Load a specific ROM state file instead of the ROM state saved in your configuration.

--getvar=FILE
    Load a variable into the calculator on startup.

--play-macro=FILE, -p=FILE
    Run a calculator macro on startup.

--debug, -d
    Enable emulator debugging.

--normal-speed
    Run at normal speed --full-speed Run at maximum speed --display=DISPLAY X display to use

EXAMPLE
Run a particular ROM file:

tilem2 --rom=myrom.rom

Emulate a TI-84+ SE ROM in TI-83:

tilem2 --rom=sillyrom.rom --model=TI83

AUTHOR
TilEm2 was written by Romain Lievin, Benjamin Moody, Duponchelle Thibault and others. This manual page was written by Albert Huang <alberth.debian@gmail.com> for the Debian GNU/Linux system (but may be used by others). It was subsequently revised by Andreas B. Mundt <andi@debian.org>.

SEE ALSO
tilp(1) tiemu(1)